Bug 828722 - RFE: virt-manager should support startupPolicy attribute for the disks
RFE: virt-manager should support startupPolicy attribute for the disks
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
x86_64 Linux
high Severity medium
: ---
: ---
Assigned To: Cole Robinson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 05:14 EDT by min zhan
Modified: 2014-07-06 15:31 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-01 09:50:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description min zhan 2012-06-05 05:14:20 EDT
Description of problem:
startupPolicy attribute is implemented in RHEL6.3 libvirt, which defines policy what to do with the disk if the source file is not accessible. IMO this attribute should display in the virt-manager UI for users' reference.

Version-Release number of selected component (if applicable):
libvirt-0.9.10-21.el6
virt-manager-0.9.0-14.el6.x86_64
python-virtinst-0.600.0-8.el6.noarch

How reproducible:
Always

Steps to Reproduce:

1. startupPolicy has 3 values: mandatory, requisite, optional for cdrom or floppy supported in libvirt; but it can not accessed via virt-manager. For example:
...
    <disk type='file' device='cdrom'>
      <driver name='qemu' type='raw'/>
      <source startupPolicy='optional'/>
      <target dev='hdc' bus='ide'/>
      <readonly/>
      <alias name='ide0-1-0'/>
      <address type='drive' controller='0' bus='1' target='0' unit='0'/>
    </disk>
...

  
Actual results:
as above

Expected results:
Support it in virt-manager UI

Additional info:
Comment 2 RHEL Product and Program Management 2012-07-10 03:46:13 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 RHEL Product and Program Management 2012-07-10 21:57:44 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 4 Cole Robinson 2014-02-01 09:50:48 EST
With the new virt-xml tool, it's fairly easy to change startupPolicy for an individual disk with a single command line option. So for people that know what they want, there's an easy way to trigger.

As for showing in the UI, I think it's unneeded: for one, most people shouldn't need it, and it's also a difficult option to explain to clueless users in the UI. So I think exposing it via virt-install/virt-xml is the best we should do.

Note You need to log in before you can comment on or make changes to this bug.